# Interface RowActivity

All Superinterfaces:
  `Activity`

public interface RowActivity extends Activity
Activity for making single row selections.

Since:
  17 Sep 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`highlightRow(TopcatModel tcModel, long lrow)`
Sends a message to highlight a given table row.

### Methods inherited from interface Activity

`getTargetSelector`

## Method Details

### highlightRow

void highlightRow(TopcatModel tcModel, long lrow) throws IOException
Sends a message to highlight a given table row.

Parameters:
  `tcModel` - table in question
  `lrow` - zero-indexed row index within table to highlight
Throws:
  `IOException`